Subject: Re: [IPP] Registered media-type values

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Wed, 2 Dec 2020 19:24:55 +0000

I would like to request the following media-types be added to the IPP IANA registry:

stationery-recycled

cardstock-coated-lightweight
cardstock-coated
cardstock-coated-heavyweight

cardstock-lightweight
cardstock-heavyweight

labels-lightweight
labels-heavyweight

Notes:

  1.  coated is a generic term that is used for (glossy, matte, etc) for devices that support this type of media that is not necessarily photo paper.
  2.  Our devices differentiate different media weights for labels and cardstock - this differentiation exists to address (among other things) adjustments that occur for media path tolerance.
     *   lightweight cardstock or labels refers to 106-169 gsm weight
     *   standard cardstock or labels (for which there are already existing registered keywords) refer to 170-256 gsm weight
     *   heavyweight cardstock or labels refers to 257-300 gsm weight

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
Phone: (585) 314-6936
Email: [email-masked]

"The realization came over me with full force that a good part of the remainder of my life was going to be spent in finding errors in my own programs."
-Maurice Wilkes, Memoirs of a Computer Pioneer

From: Michael Sweet <[email-masked]>
Date: Friday, November 20, 2020 at 11:37 AM
To: Christopher Rizzo <[email-masked]>
Cc: PWG Workgroup <[email-masked]>
Subject: Re: [IPP] Registered media-type values

CAUTION:   This email originated from outside the organization. Do not click links or open attachments unless you recognize the sender and know the content is safe.

Chris,

On Nov 20, 2020, at 1:00 PM, Rizzo, Christopher via ipp <[email-masked]<mailto:[email-masked]>> wrote:

Dear PWG,

PWG 5100.3 section 3.13.2 documents keyword values for media-type.  However, this list is incomplete for what our products need to report (for example, differentiation between photo-glossy vs. photo-matte, recycled paper, heavy cardstock vs. light cardstock, pre-punched etc.)

Correct, we are in the process of revising 5100.3, but all of the media-col content was moved to PWG 5100.7-2019 (JOBEXT 2.0) and the media type names were long ago moved to PWG 5101.1-2013 (MSN 2.0)

RFC 8011 leads me to the IANA IPP registry, which leads me to PWG 5100.7, which leads me to PWG 5101.1, which leads me to a list that does not intersect with the list in PWG 5100.3.

All of the 5100.3 values minus the "screen" types *should* be in 5101.1-2013 - that is where we started when I did MSN 2.0.

The document makes reference to RFC2534 for a registry of other types.  Where is this registry and how do I access it?  Is this separate from the IANA IPP registry?  And if the registered keywords are not sufficient are we forced to implement all media-type-xxx as name(MAX) instead of type3 keyword?

Actually type2 keyword now (type3 was eliminated by IETF), and the IANA IPP registry is now the master registry for media-type values.  RFC 2534 was about specifying media for web pages and honestly has no relation to the current CSS media handling.

Going further, how does one go about registering new media-type keyword values?

The same as any other IPP keyword value - send an email to the list with your request and we'll discuss it.

________________________
Michael Sweet

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Wed, 2 Dec 2020 14:45:19 -0500

Chris,

In general I'm in favor of adding these.  Some feedback below...

FWIW, the "media-back-coating", "media-front-coating", "media-recycled", and "media-weight" member attributes are supposed to be used for this stuff, but honestly they have very few implementations and are not needed 99.99% of the time.  We also have already added other "media-type" values that capture weight and coating...

Here is your request in the official registration template format (with my naming changes as noted below):

Attributes (attribute syntax)
  Keyword Attribute Value                  Reference
  -----------------------                  ---------
media-type (type2 keyword | name(MAX))     [PWG5100.7]
  cardstock-coated                         [XEROX20201202]
  cardstock-heavyweight                    [XEROX20201202]
  cardstock-weavyweight-coated             [XEROX20201202]
  cardstock-lightweight                    [XEROX20201202]
  cardstock-lightweight-coated             [XEROX20201202]
  labels-heavyweight                       [XEROX20201202]
  labels-lightweight                       [XEROX20201202]
  stationery-recycled                      [XEROX20201202]

> On Dec 2, 2020, at 2:24 PM, Rizzo, Christopher via ipp <[email-masked]> wrote:
> 

Funny, I thought we ended up adding this one already, but turns out not.  There was some discussion back in 2001 asking for it and stationery-bond, and neither ended up being added.

> cardstock-coated-heavyweight

Based on stationery, these should have the weight first, e.g.:

    cardstock-lightweight-coated
    cardstock-heavyweight-coated

> 
> Notes:
> 	• coated is a generic term that is used for (glossy, matte, etc) for devices that support this type of media that is not necessarily photo paper.
> 	• Our devices differentiate different media weights for labels and cardstock - this differentiation exists to address (among other things) adjustments that occur for media path tolerance.
> 		• lightweight cardstock or labels refers to 106-169 gsm weight
> 		• standard cardstock or labels (for which there are already existing registered keywords) refer to 170-256 gsm weight
> 		• heavyweight cardstock or labels refers to 257-300 gsm weight
> 
> 
> Thanks,
> Chris
> 
> Christopher Rizzo
> Xerox Corporation
>> On Nov 20, 2020, at 1:00 PM, Rizzo, Christopher via ipp <[email-masked]> wrote:
>> 
>> Dear PWG,
>> 

________________________
Michael Sweet

---

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Wed, 2 Dec 2020 22:52:59 +0000

Hi Mike,

There is a typo in there "weavyweight".

Also, there is a stationery-bond in PWG 5101.1, but it is not at the registration site<https://www.iana.org/assignments/ipp-registrations/ipp-registrations.xhtml>.  Is the registration site supposed to be the official superset of all names?

Thanks,
Chris

Christopher Rizzo
Xerox Corporation

Date: Wednesday, December 2, 2020 at 11:46 AM

Chris,

On Dec 2, 2020, at 2:24 PM, Rizzo, Christopher via ipp <[email-masked]<mailto:[email-masked]>> wrote:

stationery-recycled

cardstock-lightweight
cardstock-heavyweight

labels-lightweight
labels-heavyweight

Notes:

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
Phone: (585) 314-6936
Email: [email-masked]<mailto:[email-masked]>

From: Michael Sweet <[email-masked]<mailto:[email-masked]>>
Date: Friday, November 20, 2020 at 11:37 AM
To: Christopher Rizzo <[email-masked]<mailto:[email-masked]>>
Cc: PWG Workgroup <[email-masked]<mailto:[email-masked]>>
Subject: Re: [IPP] Registered media-type values

Chris,

Dear PWG,

________________________
Michael Sweet

_______________________________________________
ipp mailing list
[email-masked]<mailto:[email-masked]>
https://www.pwg.org/mailman/listinfo/ipp

________________________
Michael Sweet

---

From: Michael Sweet via ipp <[email-masked]>
Date: Wed, 2 Dec 2020 19:10:23 -0500

Chris,

> On Dec 2, 2020, at 5:52 PM, Rizzo, Christopher <[email-masked]> wrote:
> 
> Hi Mike,
> 
> Also, there is a stationery-bond in PWG 5101.1, but it is not at the registration site.  Is the registration site supposed to be the official superset of all names?

Yes.  I can make sure the registry is updated for stationery-bond...

________________________
Michael Sweet

---

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 3 Dec 2020 16:36:21 -0500

OK, so after review during today's IPP WG conference call, the consensus was to approve this registration:

 cardstock-heavyweight-coated             [XEROX20201202]

Part of our discussions revived an old issue about including other attributes (coating, weight, material, etc.) in media-type names.  For example, "lightweight" and "heavyweight" are general requests for a particular "media-weight" value, "coated" applies to "media-back-coating" and "media-front-coating", and "recycled" applies to "media-recycled".  As we have done in the past, "media-type" values may provide generalized ways of specifying media intent while the other "media-xxx" member attribute provide specifics, and this is a good thing. :)

________________________
Michael Sweet